Bug 175254 - [PATCH] japanese/anthy: add license info, OptionsNG-fy and trim makefile header
Summary: [PATCH] japanese/anthy: add license info, OptionsNG-fy and trim makefile header
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 07:50 UTC by Yasuhiro Kimura
Modified: 2013-01-26 10:30 UTC (History)
0 users

See Also:


Attachments
patch-ja-anthy (2.56 KB, text/plain)
2013-01-13 07:50 UTC, Yasuhiro Kimura
no flags Details
patch-ja-anthy (2.61 KB, text/plain; charset=Shift_JIS)
2013-01-14 01:31 UTC, Yasuhiro Kimura
no flags Details
patch-ja-anthy (2.69 KB, text/plain; charset=Shift_JIS)
2013-01-14 18:00 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2013-01-13 07:50:00 UTC
	- Add license info.
	- Adopt OptinsNG.
	- Trim makefile header.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-13 07:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro Kimura 2013-01-14 01:31:46 UTC
"Created by:" header is added to Makefile. Please commit attached patch
instead of previous ones.

Regards.
Comment 3 Yasuhiro Kimura 2013-01-14 18:00:32 UTC
I found some files are licensed under GPLv2. So please commit attached
patch instead of previous ones.

Regards.

Comment 4 dfilter service freebsd_committer 2013-01-26 10:27:37 UTC
Author: nobutaka
Date: Sat Jan 26 10:27:23 2013
New Revision: 311001
URL: http://svnweb.freebsd.org/changeset/ports/311001

Log:
  Add license info.
  Adopt new OPTIONS framework.
  Trim Makefile header.
  
  PR:		ports/175254
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/japanese/anthy/Makefile

Modified: head/japanese/anthy/Makefile
==============================================================================
--- head/japanese/anthy/Makefile	Sat Jan 26 07:17:13 2013	(r311000)
+++ head/japanese/anthy/Makefile	Sat Jan 26 10:27:23 2013	(r311001)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   anthy
-# Date created:        26 February 2002
-# Whom:                Yukihiro Nakai <nakai@FreeBSD.org>
-#
+# Created by: Yukihiro Nakai <nakai@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	anthy
 PORTVERSION=	9100h
@@ -17,27 +13,42 @@ EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 MAINTAINER=	nobutaka@FreeBSD.org
 COMMENT=	Another Kana-Kanji conversion system
 
+LICENSE=	GPLv2 LGPL21
+LICENSE_COMB=	multi
+LICENSE_FILE_GPLv2=	${WRKSRC}/alt-cannadic/COPYING
+LICENSE_FILE_LGPL21=	${WRKSRC}/COPYING
+
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-USE_GNOME=	lthack pkgconfig
+USE_GNOME=	lthack
+USE_PKGCONFIG=	build
 
 DOCSDIR=	share/doc/ja/anthy
 ELISPDIR=	share/emacs/site-lisp/anthy
 PLIST_SUB=	ELISPDIR=${ELISPDIR}
 
-.if defined(WITH_2CHDIC)
+OPTIONS_DEFINE=	2CHDIC ODIC GSKKDIC DOCS
+OPTIONS_DEFAULT=	DOCS
+
+2CHDIC_DESC=	2ch Dictionary
+ODIC_DESC=	Okinawa Dictionary
+GSKKDIC_DESC=	SKK Dictionary
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:M2CHDIC}
 MASTER_SITES+=	http://omaemona.sourceforge.net/packages/Zisyo/:2chdic
 DISTFILES+=	2ch.t:2chdic
 .endif
 
-.if defined(WITH_ODIC)
+.if ${PORT_OPTIONS:MODIC}
 MASTER_SITES+=	http://www.ofug.net/~yamajun/files/:odic
 DISTFILES+=	${ODIC_SRCS}:odic
 ODIC_SRCS=	${ODIC_VERS}.t
 ODIC_VERS=	okinawa-20070717
 .endif
 
-.if defined(WITH_GSKKDIC)
+.if ${PORT_OPTIONS:MGSKKDIC}
 MASTER_SITES+=	http://www.ohnolab.org/~kimoto/:gskk
 DISTFILES+=	${GSKK_SRCS}:gskk
 GSKK_SRCS=	${GSKK_VERS}.t.gz
@@ -45,19 +56,19 @@ GSKK_VERS=	gskk-20041208
 .endif
 
 post-extract:
-.if defined(WITH_2CHDIC)
+.if ${PORT_OPTIONS:M2CHDIC}
 	${CP} ${DISTDIR}/${DIST_SUBDIR}/2ch.t ${WRKSRC}/mkworddic
 	${PRINTF} "/mkworddic\\\\/base.t/a\\\\\\nread @top_srcdir@/mkworddic/2ch.t\\n" | \
 	${REINPLACE_CMD} -f /dev/stdin ${WRKSRC}/mkworddic/dict.args.in
 .endif
 
-.if defined(WITH_ODIC)
+.if ${PORT_OPTIONS:MODIC}
 	${CP} ${DISTDIR}/${DIST_SUBDIR}/${ODIC_SRCS} ${WRKSRC}/mkworddic
 	${PRINTF} "/mkworddic\\\\/base.t/a\\\\\\nread @top_srcdir@/mkworddic/${ODIC_SRCS}\\n" | \
 	${REINPLACE_CMD} -f /dev/stdin ${WRKSRC}/mkworddic/dict.args.in
 .endif
 
-.if defined(WITH_GSKKDIC)
+.if ${PORT_OPTIONS:MGSKKDIC}
 	${CP} ${DISTDIR}/${DIST_SUBDIR}/${GSKK_SRCS} ${WRKSRC}/mkworddic
 	${GUNZIP_CMD} ${WRKSRC}/mkworddic/${GSKK_SRCS}
 	${PRINTF} "/mkworddic\\\\/base.t/a\\\\\\nread @top_srcdir@/mkworddic/${GSKK_VERS}.t\\n" | \
@@ -73,7 +84,7 @@ post-patch:
 post-install:
 	${MKDIR} ${PREFIX}/${ELISPDIR}
 	${INSTALL_DATA} ${WRKSRC}/src-util/*.el ${PREFIX}/${ELISPDIR}
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${PREFIX}/${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/ELISP ${PREFIX}/${DOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 MANTANI Nobutaka freebsd_committer 2013-01-26 10:28:30 UTC
State Changed
From-To: open->closed

Committed, thanks!